Netscape 3.0 or MS Internet Explorer 3.0 (or better) is NECESSARY to view the imagery and have the player work! Get it now!
Much appreciation to Martin Holecko of Computer Graphics Group for his great work in developing and providing the image player, jsImagePlayer 1.0